org.hibernate.validator.constraints

## Enum ModCheck.ModType

- java.lang.Object
- - java.lang.Enum<ModCheck.ModType>
  - - org.hibernate.validator.constraints.ModCheck.ModType

- All Implemented Interfaces:
    Serializable, Comparable<ModCheck.ModType>
  Enclosing class:
    ModCheck

      public static enum ModCheck.ModType
      extends Enum<ModCheck.ModType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MOD10` Represents a MOD10 algorithm (Also known as Luhn algorithm)
    `MOD11` Represents a MOD11 algorithm.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModCheck.ModType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ModCheck.ModType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOD10

          public static final ModCheck.ModType MOD10

      Represents a MOD10 algorithm (Also known as Luhn algorithm)

    - #### MOD11

          public static final ModCheck.ModType MOD11

      Represents a MOD11 algorithm. A remainder of 10 or 11 in the algorithm is mapped to the check digit 0.

  - ### Method Detail

    - #### values

          public static ModCheck.ModType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModCheck.ModType c : ModCheck.ModType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModCheck.ModType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved